clang 10.0.0git

Public Attributes | List of all members
clang::CodeGenOptions::BitcodeFileToLink Struct Reference

`#include "clang/Basic/CodeGenOptions.h"`

Collaboration diagram for clang::CodeGenOptions::BitcodeFileToLink:
[legend]

## Public Attributes
std::string | Filename
| The filename of the bitcode file to link in. More...
bool | PropagateAttrs = false
| If true, we set attributes functions in the bitcode library according to our CodeGenOptions, much as we set attrs on functions that we generate ourselves. More...
bool | Internalize = false
| If true, we use LLVM module internalizer. More...
unsigned | LinkFlags = 0
| Bitwise combination of llvm::Linker::Flags, passed to the LLVM linker. More...

## Detailed Description

Definition at line 172 of file CodeGenOptions.h.

## Member Data Documentation

## ◆ Filename

std::string clang::CodeGenOptions::BitcodeFileToLink::Filename

The filename of the bitcode file to link in.

Definition at line 174 of file CodeGenOptions.h.

## ◆ Internalize

bool clang::CodeGenOptions::BitcodeFileToLink::Internalize = false

If true, we use LLVM module internalizer.

Definition at line 180 of file CodeGenOptions.h.

## ◆ LinkFlags

unsigned clang::CodeGenOptions::BitcodeFileToLink::LinkFlags = 0

Bitwise combination of llvm::Linker::Flags, passed to the LLVM linker.

Definition at line 182 of file CodeGenOptions.h.

## ◆ PropagateAttrs

bool clang::CodeGenOptions::BitcodeFileToLink::PropagateAttrs = false

If true, we set attributes functions in the bitcode library according to our CodeGenOptions, much as we set attrs on functions that we generate ourselves.

Definition at line 178 of file CodeGenOptions.h.

The documentation for this struct was generated from the following file:

- include/clang/Basic/CodeGenOptions.h